public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dialup/ppp/
Date: Mon, 11 Jun 2018 21:18:11 +0000 (UTC)	[thread overview]
Message-ID: <1528751882.1fcf255e57f136a173040ef65caa2bdc4f12ef4d.polynomial-c@gentoo> (raw)

commit:     1fcf255e57f136a173040ef65caa2bdc4f12ef4d
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 11 21:16:58 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jun 11 21:18:02 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fcf255e

net-dialup/ppp: Security revbump fixing pppd EAP-TLS buffer overflow

(CVE-2018-11574)

Bug: https://bugs.gentoo.org/657656
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 net-dialup/ppp/Manifest            |   1 +
 net-dialup/ppp/ppp-2.4.7-r6.ebuild | 222 +++++++++++++++++++++++++++++++++++++
 2 files changed, 223 insertions(+)

diff --git a/net-dialup/ppp/Manifest b/net-dialup/ppp/Manifest
index 4d3ce3942a1..4ba1d0eff35 100644
--- a/net-dialup/ppp/Manifest
+++ b/net-dialup/ppp/Manifest
@@ -1,4 +1,5 @@
 DIST ppp-2.4.7-patches-4.tar.xz 37308 BLAKE2B a53ab7c230fac7fea38910c5d9bb89b8ecb8728e899ed938292040e788b43ab8566797256329c9326ab1e6d7a02bf231df035a6e7b427f187eab554d600a7822 SHA512 f217f7272a791605101e0f1885350db8ff8b580a647e670461b81fe0026ee9050ce68b9b9635edee89ec1ada7adf000c7e6b3aa5a5dafec875ce715a9dfb84d2
 DIST ppp-2.4.7-patches-5.tar.xz 38680 BLAKE2B 56e4d3a5bc2486144791adf6ffb8a6cf0735f16fa8038a588f551d0fe7a71a15fe0d0630e4b5e3c4e0001ad161e22b660274885342807053277da14105958a69 SHA512 f8cdbb8fd4bf10eb5b4e911f1e8415f24d02297280aa6f5e63617c0533af41525bd54932eb050728320a2697efe5206d869f014bcfb8f8f3723ecefed1976adc
+DIST ppp-2.4.7-patches-6.tar.xz 39420 BLAKE2B 22754af6f266ff43f6b3cc2931ca33e9d0865ce08b8eed6961740a3a06ec69b6406c702a86e7f4a7b2f7dc9e2a751581ae58cd4398cff5e6646e53ee069e08d7 SHA512 16342010515e6d69d446656b52208e3f034c47aad8643a1e2f48fa410343f8a2e0bc8b5223b4bdc381050d9dc49a7b7ac6bc74b37380072eb91214b216d8afa2
 DIST ppp-2.4.7.tar.gz 688117 BLAKE2B e1c94ce31d98674536929d19e956e4013eb2b02c20c34e6184c0b99b50262ad1cd7fb6f4a1ed302872527a0c164af340e15ad1e2eaf191392c3f6ae2de21f5dd SHA512 e34ce24020af6a73e7a26c83c4f73a9c83fa455b7b363794dba27bf01f70368be06bff779777843949bd77f4bc9385d6ad455ea48bf8fff4e0d73cc8fef16ae2
 DIST ppp-dhcpc.tgz 33497 BLAKE2B ca59130012f007cf45af6bcfa468c112b0d521c8b11f42d42c566dd9de55bd6d6f1b1ceb83cbae18cfe79cb5cb36ba6c6858a4718915acc6987295008aca53da SHA512 aeaf791b14f5a09c0e2079072a157e65132cbff46e608bc0724e6a5827a01da934f5006e2774eb7105f83e607a52cb4987238f4385cf6f5cc86cbe305a556738

diff --git a/net-dialup/ppp/ppp-2.4.7-r6.ebuild b/net-dialup/ppp/ppp-2.4.7-r6.ebuild
new file mode 100644
index 00000000000..e0179693dca
--- /dev/null
+++ b/net-dialup/ppp/ppp-2.4.7-r6.ebuild
@@ -0,0 +1,222 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit linux-info multilib pam toolchain-funcs
+
+PATCH_VER="6"
+DESCRIPTION="Point-to-Point Protocol (PPP)"
+HOMEPAGE="https://ppp.samba.org/"
+SRC_URI="https://download.samba.org/pub/ppp/${P}.tar.gz
+	https://dev.gentoo.org/~polynomial-c/${P}-patches-${PATCH_VER}.tar.xz
+	http://www.netservers.net.uk/gpl/ppp-dhcpc.tgz"
+
+LICENSE="BSD GPL-2"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="activefilter atm dhcp eap-tls gtk ipv6 libressl pam radius"
+
+DEPEND="activefilter? ( net-libs/libpcap )
+	atm? ( net-dialup/linux-atm )
+	pam? ( virtual/pam )
+	gtk? ( x11-libs/gtk+:2 )
+	eap-tls? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:= )
+	)"
+RDEPEND="${DEPEND}"
+PDEPEND="net-dialup/ppp-scripts"
+
+src_prepare() {
+	mv "${WORKDIR}/dhcp" "${S}/pppd/plugins" || die
+
+	if ! use eap-tls ; then
+		rm "${WORKDIR}"/patch/8?_all_eaptls-* || die
+	fi
+	eapply "${WORKDIR}"/patch
+
+	if use atm ; then
+		einfo "Enabling PPPoATM support"
+		sed -i '/^#HAVE_LIBATM=yes/s:#::' \
+			pppd/plugins/pppoatm/Makefile.linux || die
+	fi
+
+	if ! use activefilter ; then
+		einfo "Disabling active filter"
+		sed -i '/^FILTER=y/s:^:#:' pppd/Makefile.linux || die
+	fi
+
+	if use pam ; then
+		einfo "Enabling PAM"
+		sed -i '/^#USE_PAM=y/s:^#::' pppd/Makefile.linux || die
+	fi
+
+	if use ipv6 ; then
+		einfo "Enabling IPv6"
+		sed -i '/#HAVE_INET6/s:#::' pppd/Makefile.linux || die
+		echo "+ipv6" >> etc.ppp/options || die
+	fi
+
+	einfo "Enabling CBCP"
+	sed -i '/^#CBCP=y/s:#::' pppd/Makefile.linux || die
+
+	if use dhcp ; then
+		einfo "Adding ppp-dhcp plugin files"
+		sed \
+			-e '/^SUBDIRS :=/s:$: dhcp:' \
+			-i pppd/plugins/Makefile.linux || die
+	fi
+
+	# Set correct libdir
+	sed -i -e "s:/lib/pppd:/$(get_libdir)/pppd:" \
+		pppd/{pathnames.h,pppd.8} || die
+
+	if use radius ; then
+		#set the right paths in radiusclient.conf
+		sed -e "s:/usr/local/etc:/etc:" \
+			-e "s:/usr/local/sbin:/usr/sbin:" \
+			-i pppd/plugins/radius/etc/radiusclient.conf || die
+		#set config dir to /etc/ppp/radius
+		sed -i -e "s:/etc/radiusclient:/etc/ppp/radius:g" \
+			pppd/plugins/radius/{*.8,*.c,*.h} \
+			pppd/plugins/radius/etc/* || die
+	else
+		einfo "Disabling radius"
+		sed -i -e '/+= radius/s:^:#:' pppd/plugins/Makefile.linux || die
+	fi
+
+	eapply_user #549588
+}
+
+src_compile() {
+	tc-export AR CC
+	emake COPTS="${CFLAGS} -D_GNU_SOURCE"
+
+	# build pppgetpass
+	cd contrib/pppgetpass || die
+	if use gtk ; then
+		emake -f Makefile.linux
+	else
+		emake pppgetpass.vt
+	fi
+}
+
+src_install() {
+	local i
+	for i in chat pppd pppdump pppstats ; do
+		doman ${i}/${i}.8
+		dosbin ${i}/${i}
+	done
+	fperms u+s-w /usr/sbin/pppd
+
+	# Install pppd header files
+	emake -C pppd INSTROOT="${D}" install-devel
+
+	dosbin pppd/plugins/rp-pppoe/pppoe-discovery
+
+	dodir /etc/ppp/peers
+	insinto /etc/ppp
+	insopts -m0600
+	newins etc.ppp/pap-secrets pap-secrets.example
+	newins etc.ppp/chap-secrets chap-secrets.example
+
+	insopts -m0644
+	doins etc.ppp/options
+
+	pamd_mimic_system ppp auth account session
+
+	local PLUGINS_DIR="/usr/$(get_libdir)/pppd/${PV}"
+	# closing " for syntax coloring
+	insinto "${PLUGINS_DIR}"
+	insopts -m0755
+	doins pppd/plugins/minconn.so
+	doins pppd/plugins/passprompt.so
+	doins pppd/plugins/passwordfd.so
+	doins pppd/plugins/winbind.so
+	doins pppd/plugins/rp-pppoe/rp-pppoe.so
+	doins pppd/plugins/pppol2tp/openl2tp.so
+	doins pppd/plugins/pppol2tp/pppol2tp.so
+	if use atm ; then
+		doins pppd/plugins/pppoatm/pppoatm.so
+	fi
+	if use dhcp ; then
+		doins pppd/plugins/dhcp/dhcpc.so
+	fi
+	if use radius ; then
+		doins pppd/plugins/radius/rad{ius,attr,realms}.so
+
+		#Copy radiusclient configuration files (#92878)
+		insinto /etc/ppp/radius
+		insopts -m0644
+		doins pppd/plugins/radius/etc/{dictionary*,issue,port-id-map,radiusclient.conf,realms,servers}
+
+		doman pppd/plugins/radius/pppd-rad{ius,attr}.8
+	fi
+
+	insinto /etc/modprobe.d
+	insopts -m0644
+	newins "${FILESDIR}/modules.ppp" ppp.conf
+
+	dodoc PLUGINS README* SETUP Changes-2.3 FAQ
+	dodoc "${FILESDIR}/README.mpls"
+
+	dosbin scripts/p{on,off,log}
+	doman scripts/pon.1
+
+	# Adding misc. specialized scripts to doc dir
+	insinto /usr/share/doc/${PF}/scripts/chatchat
+	doins scripts/chatchat/*
+	insinto /usr/share/doc/${PF}/scripts
+	doins scripts/*
+
+	if use gtk ; then
+		dosbin contrib/pppgetpass/{pppgetpass.vt,pppgetpass.gtk}
+		newsbin contrib/pppgetpass/pppgetpass.sh pppgetpass
+	else
+		newsbin contrib/pppgetpass/pppgetpass.vt pppgetpass
+	fi
+	doman contrib/pppgetpass/pppgetpass.8
+}
+
+pkg_postinst() {
+	if linux-info_get_any_version && linux_config_src_exists ; then
+		echo
+		ewarn "If the following test report contains a missing kernel configuration option that you need,"
+		ewarn "you should reconfigure and rebuild your kernel before running pppd."
+		CONFIG_CHECK="~PPP ~PPP_ASYNC ~PPP_SYNC_TTY"
+		local ERROR_PPP="CONFIG_PPP:\t missing PPP support (REQUIRED)"
+		local ERROR_PPP_ASYNC="CONFIG_PPP_ASYNC:\t missing asynchronous serial line discipline (optional, but highly recommended)"
+		local WARNING_PPP_SYNC_TTY="CONFIG_PPP_SYNC_TTY:\t missing synchronous serial line discipline (optional; used by 'sync' pppd option)"
+		if use activefilter ; then
+			CONFIG_CHECK="${CONFIG_CHECK} ~PPP_FILTER"
+			local ERROR_PPP_FILTER="CONFIG_PPP_FILTER:\t missing PPP filtering support (REQUIRED)"
+		fi
+		CONFIG_CHECK="${CONFIG_CHECK} ~PPP_DEFLATE ~PPP_BSDCOMP ~PPP_MPPE"
+		local ERROR_PPP_DEFLATE="CONFIG_PPP_DEFLATE:\t missing Deflate compression (optional, but highly recommended)"
+		local ERROR_PPP_BSDCOMP="CONFIG_PPP_BSDCOMP:\t missing BSD-Compress compression (optional, but highly recommended)"
+		local WARNING_PPP_MPPE="CONFIG_PPP_MPPE:\t missing MPPE encryption (optional, mostly used by PPTP links)"
+		CONFIG_CHECK="${CONFIG_CHECK} ~PPPOE ~PACKET"
+		local WARNING_PPPOE="CONFIG_PPPOE:\t missing PPPoE support (optional, needed by rp-pppoe plugin)"
+		local WARNING_PACKET="CONFIG_PACKET:\t missing AF_PACKET support (optional, used by rp-pppoe and dhcpc plugins)"
+		if use atm ; then
+			CONFIG_CHECK="${CONFIG_CHECK} ~PPPOATM"
+			local WARNING_PPPOATM="CONFIG_PPPOATM:\t missing PPPoA support (optional, needed by pppoatm plugin)"
+		fi
+		check_extra_config
+	fi
+
+	# create *-secrets files if not exists
+	[ -f "${ROOT}/etc/ppp/pap-secrets" ] || \
+		cp -pP "${ROOT}/etc/ppp/pap-secrets.example" "${ROOT}/etc/ppp/pap-secrets"
+	[ -f "${ROOT}/etc/ppp/chap-secrets" ] || \
+		cp -pP "${ROOT}/etc/ppp/chap-secrets.example" "${ROOT}/etc/ppp/chap-secrets"
+
+	# lib name has changed
+	sed -i -e "s:^pppoe.so:rp-pppoe.so:" "${ROOT}/etc/ppp/options" || die
+
+	echo
+	elog "Pon, poff and plog scripts have been supplied for experienced users."
+	elog "Users needing particular scripts (ssh,rsh,etc.) should check out the"
+	elog "/usr/share/doc/${PF}/scripts directory."
+}


             reply	other threads:[~2018-06-11 21:18 UTC|newest]

Thread overview: 134+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-11 21:18 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-19 18:14 [gentoo-commits] repo/gentoo:master commit in: net-dialup/ppp/ Mike Gilbert
2024-09-19 18:14 Mike Gilbert
2024-09-19 18:14 Mike Gilbert
2024-04-13  6:26 Arthur Zamarin
2024-03-07 21:48 Mike Gilbert
2024-03-06  0:24 Jakov Smolić
2024-03-06  0:24 Jakov Smolić
2024-03-06  0:24 Jakov Smolić
2024-03-06  0:24 Jakov Smolić
2024-03-06  0:24 Jakov Smolić
2024-03-06  0:24 Jakov Smolić
2024-03-05 19:57 Mike Gilbert
2023-10-24  2:48 Mike Gilbert
2023-10-24  2:48 Mike Gilbert
2023-09-27  2:40 Sam James
2023-09-26 21:14 Mike Gilbert
2023-09-22 20:52 Sam James
2023-09-22 20:25 Sam James
2023-09-22 20:25 Sam James
2023-09-22 18:58 Arthur Zamarin
2023-09-10  5:54 Sam James
2023-06-28  7:19 Sam James
2023-05-31  6:15 Joonas Niilola
2023-05-31  6:15 Joonas Niilola
2023-05-30 16:51 Arthur Zamarin
2023-05-29 17:49 Arthur Zamarin
2023-05-29 17:49 Arthur Zamarin
2023-05-29 17:49 Arthur Zamarin
2023-05-28 11:55 Sam James
2023-05-28 11:36 Sam James
2023-05-28 11:36 Sam James
2023-05-28  7:11 Joonas Niilola
2023-05-28  7:11 Joonas Niilola
2023-05-27 23:02 Mike Gilbert
2023-04-29  3:50 Mike Gilbert
2023-04-23 17:06 Mike Gilbert
2023-04-22 23:07 Mike Gilbert
2023-04-22 18:45 Mike Gilbert
2023-04-22 18:45 Mike Gilbert
2023-04-22 18:45 Mike Gilbert
2023-04-22 18:45 Mike Gilbert
2023-04-22 18:45 Mike Gilbert
2023-04-12 20:51 Mike Gilbert
2022-06-13 21:00 Jakov Smolić
2022-06-12  8:32 Agostino Sarubbo
2022-06-12  8:30 Agostino Sarubbo
2022-06-12  8:30 Agostino Sarubbo
2022-06-12  8:30 Agostino Sarubbo
2022-06-12  8:30 Agostino Sarubbo
2022-06-12  8:29 Agostino Sarubbo
2022-05-17 11:54 WANG Xuerui
2022-05-05  8:36 Lars Wendler
2022-05-05  8:36 Lars Wendler
2021-12-06 15:23 Sam James
2021-12-06 15:20 Sam James
2021-12-06  1:17 Sam James
2021-12-05 18:31 Sam James
2021-12-05  4:00 Sam James
2021-08-27 14:20 Lars Wendler
2021-08-27 12:13 Lars Wendler
2021-07-13  9:22 Lars Wendler
2021-06-12 18:49 Mike Gilbert
2021-06-12 18:49 Mike Gilbert
2021-05-13 13:55 David Seifert
2021-05-01  7:13 Mikle Kolyada
2021-04-11 15:55 Sam James
2021-04-11 15:43 Sam James
2021-04-11 15:43 Sam James
2021-04-11 15:41 Sam James
2021-04-11 15:41 Sam James
2021-04-11 15:39 Sam James
2021-04-11 13:31 Sam James
2021-02-26 16:53 Lars Wendler
2021-01-22 15:52 Mikle Kolyada
2021-01-05 16:59 Lars Wendler
2021-01-05 16:49 Lars Wendler
2021-01-05 15:20 Lars Wendler
2021-01-04 12:08 Lars Wendler
2021-01-03 23:42 Lars Wendler
2020-04-02  7:18 Lars Wendler
2020-04-01 21:01 Mart Raudsepp
2020-03-23 18:07 Sergei Trofimovich
2020-03-14 19:24 Sergei Trofimovich
2020-03-12 16:24 Agostino Sarubbo
2020-03-12 16:23 Agostino Sarubbo
2020-03-12 16:22 Agostino Sarubbo
2020-03-11  7:21 Sergei Trofimovich
2020-03-10  8:39 Sergey Popov
2020-02-29 14:44 Mikle Kolyada
2020-02-27  8:59 Lars Wendler
2020-02-26 16:48 Lars Wendler
2020-02-26 15:37 Lars Wendler
2019-10-12 20:55 Mikle Kolyada
2019-05-23  6:39 Aaron Bauman
2019-05-04 19:41 Mikle Kolyada
2019-04-29  0:23 Lars Wendler
2019-04-28 20:20 Mikle Kolyada
2019-04-08  6:05 Matt Turner
2019-04-07 21:34 Sergei Trofimovich
2019-04-07 21:16 Sergei Trofimovich
2019-04-07 21:00 Sergei Trofimovich
2019-04-01 19:58 Thomas Deutschmann
2019-03-26 21:09 Sergei Trofimovich
2019-03-26  9:10 Jeroen Roovers
2019-03-26  8:11 Lars Wendler
2018-09-27  8:11 Lars Wendler
2018-09-27  8:11 Lars Wendler
2018-07-07 10:47 Markus Meier
2018-06-22 11:39 Jeroen Roovers
2018-06-19  1:24 Mike Frysinger
2018-06-12 20:48 Sergei Trofimovich
2018-06-12 15:57 Mikle Kolyada
2018-06-12 11:36 Thomas Deutschmann
2018-06-12  8:44 Sergei Trofimovich
2018-03-16 22:50 Lars Wendler
2018-01-23 12:51 Lars Wendler
2017-11-09 22:05 Mike Gilbert
2017-03-13 13:30 Lars Wendler
2017-01-18 16:56 Lars Wendler
2017-01-18 16:04 Lars Wendler
2017-01-18 10:02 Agostino Sarubbo
2017-01-15 19:37 Jeroen Roovers
2016-12-17 15:21 Markus Meier
2016-12-06 11:53 Agostino Sarubbo
2016-12-06 11:50 Agostino Sarubbo
2016-12-05 15:49 Tobias Klausmann
2016-11-22 13:49 Lars Wendler
2016-11-22 13:49 Lars Wendler
2016-11-11 20:13 Mike Frysinger
2016-01-22  8:28 Michael Palimaka
2016-01-17 21:07 Lars Wendler
2015-10-20 21:47 Lars Wendler
2015-10-04 21:10 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1528751882.1fcf255e57f136a173040ef65caa2bdc4f12ef4d.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox